# MatLUFactorNumeric

Performs numeric LU factorization of a matrix. Call this routine after first calling MatLUFactorSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatLUFactorNumeric(Mat mat,MatFactorInfo *info,Mat *fact)

Collective on Mat

### Input Parameters

| mat | - the matrix
| info | - options for factorization
| fact | - the matrix generated for the factor, from MatLUFactorSymbolic()

### Notes

See MatLUFactor() for in-place factorization. See MatCholeskyFactorNumeric() for the symmetric, positive definite case.

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactorSymbolic(), MatLUFactor(), MatCholeskyFactor()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages